Subject: Re: bug#16969: Isearch: lazy-highlight face sometimes has foreground and background the same colour.

From: Daniel Colascione <[email-masked]>
Date: Sat, 08 Mar 2014 16:45:07 -0800

On 03/08/2014 01:55 PM, Juri Linkov wrote:
>> An effective solution would be to give the `lazy-highlight' face a
>> foreground colour, e.g. black.
> 
> It's useful to keep the foreground color to help seeing the context
> especially when a match is highlighted on a font-look foreground.
> 
> But the problem needs to be fixed anyway.  So maybe we could add the
> face attribute :distant-foreground to the `lazy-highlight' face
> that could be applied only when the background color is near to the
> foreground color like a cyan foreground on a cyan background

And what? Are we going to apply distant-foreground to everything and
hope that the color we choose is legible in whatever theme the user has?
We really need automatic contrast adjustment, not one-off fixes.